package com.example.quiz.data.model;

public class PointDeVente {
    private Long id;
    private String code;
    private String nom;
    private String adresse;
    private String ville;
    private String latitude;
    private String longitude;
    private PointStatus statut;

    public PointDeVente(Long id, String code, String nom, String adresse, String ville, String latitude, String longitude, PointStatus statut) {
        this.id = id;
        this.code = code;
        this.nom = nom;
        this.adresse = adresse;
        this.ville = ville;
        this.latitude = latitude;
        this.longitude = longitude;
        this.statut = statut;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getNom() {
        return nom;
    }

    public void setNom(String nom) {
        this.nom = nom;
    }

    public String getAdresse() {
        return adresse;
    }

    public void setAdresse(String adresse) {
        this.adresse = adresse;
    }

    public String getVille() {
        return ville;
    }

    public void setVille(String ville) {
        this.ville = ville;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public PointStatus getStatut() {
        return statut;
    }

    public void setStatut(PointStatus statut) {
        this.statut = statut;
    }

    public enum PointStatus {
        ACTIF,
        INACTIF
    }
}
